
  <h1>Mes demandes de réservations</h1>

  <table class="table">
    <thead>
      <tr>
        <th scope="col">Nom location</th>
        <th scope="col">Date d'arrivée</th>
        <th scope="col">Date de départ</th>
        <th scope="col">Nombre de personnes</th>
        <th scope="col">Prix</th>
        <th scope="col">Statut</th>
        <th scope="col" colspan="3">Actions</th>
      </tr>
    </thead>
    <% @reservations.each do |reservation| %>
      <tr>
        <% @locations.each do |location| %>
          <% if location.id==reservation.location_id %>
            <th><%= location.titre %></th>
          <% end %>
        <% end %>

        <td><%= reservation.datedeb.strftime("%d/%m/%Y") %></td>
        <td><%= reservation.datefin.strftime("%d/%m/%Y") %></td>
        <td><%= reservation.nbpersonnes %></td>
        <td><%= reservation.price %> €</td>
        <td>
          <% if reservation.status == "En attente" %>
            <span class="badge bg-warning text-dark">En attente</span>
          <% elsif reservation.status == "Refusée" %>
            <span class="badge bg-danger">Refusée</span>
          <% elsif reservation.status == "Acceptée" %>
            <span class="badge bg-primary">Acceptée</span>
          <% elsif reservation.status == "Payée" %>
            <span class="badge bg-success">Payée</span>
          <% elsif reservation.status == "Terminée" %>
            <span class="badge bg-dark">Terminée</span>
          <% end %>
        </td>
        <td><%= link_to 'Afficher', reservation, class: 'btn btn-primary btn-sm', :style => "color: white" %></td>
        <td><%= link_to 'Location', location_path(reservation.location_id), class: 'btn btn-primary btn-sm', :style => "color: white" %></td>
        <td><%= link_to 'Supprimer', reservation, method: :delete, data: { confirm: 'Êtes vous sûr ?' }, class: 'btn btn-danger btn-sm', :style => "color: white" %></td>
      </tr>
    <% end %>
  </table>
